.switch {
    position: relative;
    display: inline-block;
    width: 120px;
    height: 34px;
    margin-left: 20%;
    margin-top: 10%;
  }
  
  .switch input {display:none;}
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #343957;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  input:checked + .slider {
    background-color: #e57429;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(85px);
    -ms-transform: translateX(85px);
    transform: translateX(85px);
  }
  
  /*------ ADDED CSS ---------*/
  .off
  {
    display: none;
  }
  
  .on
  {
    color: white;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 40%;
    font-size: 11px;
    font-family: Roboto, sans-serif;
    font-weight: 400;
  }
  .off
  {
    color: white;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 50%;
    font-size: 12px;
    font-family: Roboto, sans-serif;
    font-weight: 400;
  }
  
  
  input:checked+ .slider .on
  {display: block;}
  
  input:checked + .slider .off
  {display: none;}
  
  /*--------- END --------*/
  
  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
    border: #fff solid 2px;
  }
  
  .slider.round:before {
    border-radius: 50%;}

.slider::after {
  content: 'B2B';
  color: white;
  display: block;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 50%;
  font-size: 12px;
  font-family: Roboto, sans-serif;
  font-weight: 400;
}

input:checked + .slider::after {
  content: 'B2B';
  color: white;
  display: block;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 40%;
  font-size: 12px;
  font-family: Roboto, sans-serif;
  font-weight: 400;
}